nir2148
Contributor
Contributor

patch for vmware workstation 8 in fedora 16 (host) with Kernel 3.2??

hi everybody.

i use vmware workstation 8 in fedora 16 that kernel 3.2 install on it.

i want to ask if there is a patch for vmware workstation 8 for kernel 3.2.

thanks  ahead . nir.

0 Kudos
19 Replies
alientxc
Contributor
Contributor

0 Kudos
tfruth
Contributor
Contributor

The patch is for 8.0.1.  How about 8.0.2?

0 Kudos
calaver4
Contributor
Contributor

Are there any patch for VMware Tools and Fedora 16 guest?

bye

0 Kudos
nir2148
Contributor
Contributor

did you try vmware 8.0.2 in fedora 16 with kernel 3.2???

0 Kudos
swsnyder8
Contributor
Contributor

I've tried it.

WS 8.0.2 will not build all its drivers against the v3.2.1 Fedora 16 kernel, nor will the posted 8.0.1 patch apply to the 8.0.2 module source code.

0 Kudos
calaver4
Contributor
Contributor

No way, VMware Tools 8.8.2 fails compiling vmxnet module.

CC [M]  /tmp/vmware-root/modules/vmxnet-only/vmxnet.o
/tmp/vmware-root/modules/vmxnet-only/vmxnet.c: In function âvmxnet_probe_deviceâ:
/tmp/vmware-root/modules/vmxnet-only/vmxnet.c:1008:7: error: unknown field ndo_set_multicast_list specified in initializer

...

Does anyone know where to get a patch?

bye

0 Kudos
egurski
Contributor
Contributor

I tried the 8.0.0 patch and was told to change it to 8.0.2 but VMnet still fails to compile!  Is there any patch that works with Fedora 16 kernel 3.2.1????

0 Kudos
ticapix
Contributor
Contributor

Hi,

I created a patch for VMware-Workstation-Full-8.0.2-591240.x86_64.bundle and a 3.2.0-1-amd64 kernel

The only test I made was that I have network (internet) access in my guest (Win7)

Regards

Edit: I'm using Debian testing, not Fedora.

0 Kudos
jescombe
Contributor
Contributor

Here's a working patch for workstation 7.1.5, have tested on F16 with kernel 3.2.1

(derived from the v7 and v8 patches on http://weltall.heliohost.org/wordpress)

Regards,

Jon

0 Kudos
nir2148
Contributor
Contributor

can you create a sh file or update the script?

0 Kudos
jescombe
Contributor
Contributor

Hi, I've made no change to the 7.x installation script from that blog (except for the change in patch file name)...

0 Kudos
nir2148
Contributor
Contributor

i talking about the sh file to the patch to vmware 8.0.2 becuase when i change the name to the "workstation-8.0.2_linux-3.2.patch" it write me

patch: **** Only garbage was found in the patch input.

0 Kudos
ticapix
Contributor
Contributor

nir2148 wrote:

i talking about the sh file to the patch to vmware 8.0.2 becuase when i change the name to the "workstation-8.0.2_linux-3.2.patch" it write me

patch: **** Only garbage was found in the patch input.

Sorry, I didn't describe the way I aplied the patch. And you are correct, this a diff, not a patch. My mistake. I enclosed a new file.

I first installed the standard installer

sh ./VMware-Workstation-Full-8.0.2-591240.x86_64.bundle

then applied the patch.

cd /usr/lib/vmware/modules/source

tar xfv vmnet.tar

patch -p0 < ~/workstation-8.0.2_linux-3.2.patch

tar cfv vmnet.tar vmnet-only/

vmware-modconfig --console --install-all

For an unknown reason, I get this error when stating the vmware service, but it seems to be working anyway .. who knows why.

Virtual ethernet    failed

Thanks for your feedback.

0 Kudos
calaver4
Contributor
Contributor

Is there a patch for VMware Tools and Linux guest?

0 Kudos
nir2148
Contributor
Contributor

0 Kudos
msevior
Contributor
Contributor

ticapix wrote:

I first installed the standard installer

sh ./VMware-Workstation-Full-8.0.2-591240.x86_64.bundle

then applied the patch.

cd /usr/lib/vmware/modules/source

tar xfv vmnet.tar

patch -p0 < ~/workstation-8.0.2_linux-3.2.patch

tar cfv vmnet.tar vmnet-only/

vmware-modconfig --console --install-all

Awesome!

Thank you very much. VMware-8.02 now runs perfectly on my up to date F16 (kernel 3.2.2-1) on both my x64 workstation and 32 bit laptop.

Cheers

Martin

0 Kudos
mfelker
Expert
Expert

Just change references to 8.0.1 to 8.0.2 and 4.0.1 to 4.0.2 in the shell script.  It will work fine

0 Kudos
ticapix
Contributor
Contributor

Fyi, I still need to apply this patch for latest version of the VMware Workstation 8.0.4 on a 3.2 kernel Smiley Sad

0 Kudos
Grendelkeeper
Contributor
Contributor

0 Kudos